/**
 *
 * $Id: VkMenuToggle.h,v 1.2 1995/04/20 05:32:07 toshok Exp $
 *
 * This file contains the class definition of the VkMenuToggle
 * class, which is implemented as a toggle button gadget within
 * the interface's menus.
 *
 * Chris Toshok
 * Copyright (C) 1995
 * The Hungry Programmers, Inc
 * All Rights Reserved
 *
 **/

#ifndef VKMENUTOGGLE_H
#define VKMENUTOGGLE_H

#include <Xm/ToggleBG.h>
#include <Vk/VkConfig.h>
#include <Vk/VkMenuAction.h>

class VkMenuToggle : public VkMenuAction {
private:
  Boolean _initial_state;
public:
  VkMenuToggle(char *name);
  void setVisualState(Boolean state);
  void setStateAndNotify(Boolean state);
  Boolean getState();

  void setLabel(const char *str);
  VkMenuItemType menuType();
  Boolean isContainer();

  void _instantiate(Widget parent);

  const char *className();
};


#endif // VKMENUTOGGLE_H
